<?php
 
 $request_uri = $_SERVER['REQUEST_URI'];
 if($request_uri=='/')  $request_uri2 = '';
 else{
      if(is_int(strpos($request_uri,'//')))  $request_uri2='/'.str_replace("/","",$request_uri);
      else $request_uri2 = $request_uri;
 }

 
  //echo $request_uri2;
 define('WXICOPAGEURL', $httpv.$_SERVER['HTTP_HOST'].$request_uri2);

 //pre($_SERVER);

 $wxico_title = $seo1[0]; // '分享标题 这里自定义',
 $wxico_desc =  $seo3[0]; //  '分享描述这里自定义',//这里请特别注意是要去除html
 $wxico_link =  WXICOPAGEURL; //  'http://xxx.com',//分享后打开的链接
 $wxico_imgUrl =  $stapath.'assets/vendor/wxico/wxico.png'; //  'http://xxxx.com/images/banner.jpg'//分享图标

//https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/JS-SDK.html#10
?>

<script src="http://res2.wx.qq.com/open/js/jweixin-1.6.0.js"></script><!--加载微信的JS 照抄-->
<script>
var url=encodeURIComponent(window.location.href.split('#')[0]);//分享成功之后再次分享，微信会再url附带额外参数造成二次分享签名错误，这里处理下避免config：invalid signature签名失效
 
  $.ajax({
    type : "get",
    url : "<?php echo $stapath.'assets/vendor/wxico'?>/jssdk.php?url="+url,//替换网址，刚才把下载好的jssdk.php放到哪里就加载哪里
    dataType : "jsonp",
    jsonp: "callback",
    jsonpCallback:"success_jsonpCallback",
    success : function(data){
      console.log(data);
        wx.config({
　　　　 debug: false, // 开启调试模式,有问题的时候能看到报错，正式上线后记得改成fales关闭，不然上线了分享的时候会有英文提示
　　　　 appId: data.appId,
　　　　 timestamp: data.timestamp,
　　　　 nonceStr: data.nonceStr,
　　　　 signature: data.signature,
　　　　 jsApiList: [
       　　"onMenuShareTimeline", //分享给好友
       　　"onMenuShareAppMessage", //分享到朋友圈
       　　"onMenuShareQQ",  //分享到QQ
       　　"onMenuShareWeibo" //分享到微博
]
});
},
   error:function(data){
            //console.log(JSON.stringify(data));
          //alert("连接失败！");
     }
});
  wx.ready(function (){
  var shareData = {
  title: '<?php echo $wxico_title;?>',
  desc: '<?php echo $wxico_desc;?>',//这里请特别注意是要去除html
  link: '<?php echo $wxico_link;?>',//分享后打开的链接
  imgUrl: '<?php echo $wxico_imgUrl;?>'//分享图标
  };
  //console.log(shareData);
  wx.onMenuShareAppMessage(shareData);
  wx.onMenuShareTimeline(shareData);
  wx.onMenuShareQQ(shareData);
  wx.onMenuShareWeibo(shareData);
    });
</script>